- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
mysqlpp::Query::RowCountInsertPolicy< AccessController > Class Template Reference

An insert policy object that triggers a new INSERT statement after a given number of rows have been inserted. More...

`#include <query.h>`

## Public Types
typedef AccessController | access_controller
| Alias for our access controller type.

## Public Member Functions
| RowCountInsertPolicy (unsigned int rows)
| Constructor.
| ~RowCountInsertPolicy ()
| Destructor.
template<class RowT >
bool | can_add (int, const RowT &)
| Can we add another object to the query? More...

## Detailed Description

### template<class AccessController = Transaction>
class mysqlpp::Query::RowCountInsertPolicy< AccessController >

An insert policy object that triggers a new INSERT statement after a given number of rows have been inserted.

This policy is very lightweight, but is only reliable when you can predict the size of each INSERT in advance. The others do more processing to reduce the risk of unpredictable row sizes.

## Member Function Documentation

template<class AccessController = Transaction>
template<class RowT >

bool mysqlpp::Query::RowCountInsertPolicy< AccessController >::can_add | ( | int | ,
|  | const RowT & |
| ) |  |
| inline

Can we add another object to the query?

Return values

  true | if the object is allowed to be added to the INSERT statement

The documentation for this class was generated from the following file:

- insertpolicy.h